Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 682 - "modprobe sound" done by RH 5.2 initscripts prevents eth0 init
Summary: "modprobe sound" done by RH 5.2 initscripts prevents eth0 init
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-04 07:18 UTC by Andrew Pam
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-17 16:33:43 UTC


Attachments (Terms of Use)

Description Andrew Pam 1999-01-04 07:18:34 UTC
On a Cyrix 5x86-100 based machine running RH5.2 updated to
kernel-2.0.36-1, the 8039 and wd modules will not insmod (no
error message, just nothing happens) after the soundcore,
sound, ad1848 and gus modules have been loaded by the
"modprobe sound" in rc.sysinit.  "insmod 8390" and "insmod
wd" works *only if autoprobing*; specifying the io=0x280
irq=10 options to wd again causes insmod to fail or even
segfault.  If the sound modules are not loaded eth0
initialises fine with the wd module autoloading; the sound
modules can then also be safely autoloaded and unloaded at
will (which I prefer anyway; the ethernet is always needed
but the sound drivers only sometimes).

I have a Western Digital 8013 ethernet card and a Gravis
Ultrasound Max at io=0x220 irq=5 dma=1 dma16=5.

Comment 1 David Lawrence 1999-01-06 00:08:59 UTC
I have verified this to be true. I set up a test machine with a WD8013
BNC ISA and an Gravis Ultrasound MAx configured to the settings
reported by the user. I did a fresh 'workstaion' install of 5.2. I ran
sndconfig to configure the sound card with no problems. By this time
the wd module was already running. I removed the wd and 8390 drivers
from the running system. I ran modprobe wd and it did not insert the
module. I removed all sound related modules from the running system
and was then able to insert the wd module properly.

One note is that I could use insmod instead of modprobe to insert the
wd driver (inmodding 8390 first of course) after the sound modules
were loaded. This leads me to believe the bug lies within modprobe.

Comment 2 Cristian Gafton 1999-03-18 21:06:59 UTC
Is this still true with the current beta release ? Or the updated
kernel form 5.2?

Comment 3 Cristian Gafton 1999-06-17 16:33:59 UTC
Bug closed due to lack of feedback from the reporter. Please reopen if
still valid.


Note You need to log in before you can comment on or make changes to this bug.